Bug 97371 - FILEOPEN DOCX: Text Covered by Shape
Summary: FILEOPEN DOCX: Text Covered by Shape
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.4.2 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.2
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks:
 
Reported: 2016-01-26 03:36 UTC by Kevin Suo
Modified: 2016-10-10 12:05 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
test docx file with shape and text content (33.00 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-01-26 03:36 UTC, Kevin Suo
Details
Screenshot showing the difference (180.22 KB, image/png)
2016-01-26 03:44 UTC, Kevin Suo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2016-01-26 03:36:48 UTC
Created attachment 122211 [details]
test docx file with shape and text content

The attached docx file contains some shapes (used to draw a legal structure chart), and a paragraph with notes. 

When open with LibreOffice, the notes are showing behind the shape, which makes the notes not visiable.

Reproduced with:

Version: 5.0.4.2
Build ID: 2b9802c1994aa0b7dc6079e128979269cf95bc78
Locale: zh-CN (zh_CN)

Version: 5.1.0.2 (x64)
Build ID: ecd3574d51754b043f865cf5bafee286d24db7cc
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
Locale: zh-CN (zh_CN)

Win10 x64.
Comment 1 Kevin Suo 2016-01-26 03:44:10 UTC
Created attachment 122212 [details]
Screenshot showing the difference
Comment 2 Kevin Suo 2016-01-26 03:48:58 UTC
It works perfect in
Version: 4.4.7.2
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: zh_CN

--> Regression
Comment 3 tommy27 2016-01-26 06:15:25 UTC
I confirm bug under Win8.1 x64 using LibO 5.2.0.0.alpha0+
Build ID: c81eddbb20c84280aa64c712e34c829380b24527
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-01-22_04:18:42
Locale: it-IT (it_IT)

status NEW, bibisectRequest
Comment 4 raal 2016-01-27 16:30:17 UTC
This seems to have begun at the below commit.
Adding Cc: to Miklos Vajna; Could you possibly take a look at this one? Thanks

e7107a81b66b8260dc7ffc623b79dbdc6a643167 is the first bad commit
commit e7107a81b66b8260dc7ffc623b79dbdc6a643167
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Mon Sep 28 00:34:33 2015 -0700

    source sha:358666e4204364ce915ee95372dc6f2fca545253

    source sha:358666e4204364ce915ee95372dc6f2fca545253

author	Miklos Vajna <vmiklos@collabora.co.uk>	2015-09-28 07:03:13 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2015-09-28 07:26:38 (GMT)
commit	358666e4204364ce915ee95372dc6f2fca545253 (patch)
tdf#90153 DOCX import: fix default sw TextFrame roundtrip
Comment 5 Miklos Vajna 2016-01-28 16:53:54 UTC
Thanks for the bisect, it makes fixing the problem much more quicker! :-)
Comment 6 Commit Notification 2016-01-28 20:41:47 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8f1a1092d47947847e1d888b0284e8364c663d1f

tdf#97371 DOCX import: fix text covered by shape

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-02-18 15:56:45 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2f4fce056bc6025c924466aaf7635e2b385cecbb&h=libreoffice-5-1

tdf#97371 DOCX import: fix text covered by shape

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.